Skip to main content
`Ctrl`+`K`

# EPSCISSGetKSPs

Retrieve the array of linear solver objects associated with the CISS solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSGetKSPs(EPS eps,PetscInt *nsolve,KSP **ksp)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- nsolve - number of solver objects

- ksp - array of linear solver object

## Note

The number of `KSP` solvers is equal to the number of integration points divided by the number of partitions, see `EPSCISSSetSizes()`. This value is halved in the case of real matrices with a region centered at the real axis.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSSetSizes()`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSGetKSPs_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages